# Fonts

I always want the best fonts for my terminal, my text editor, my ... But I'm not
satisfied easily, so I keep trying new fonts. Prefer free fonts of course :D

TLDR:

On macOS, use [San Francisco](https://developer.apple.com/fonts/) for
everything. Remember each time macOS release new version/new update, you should
download again to get (maybe) latest version.

Otherwise:

- Use [JetBrains Mono](https://github.com/JetBrains/JetBrainsMono) for code.
- Use [Inter](https://github.com/rsms/inter) for display.

Always choose **OTF** over **TTF** format.

## [JetBrains Mono](https://github.com/JetBrains/JetBrainsMono)

JetBrains branding font.

- Support Vietnamese
- Support bold, italic
- Support ligatures
- Has dotted zero

Ligatures I prefer: `ss02`, `cv04`, `cv16`, `cv18`, `cv19`, `cv20`.

## [Iosevka](https://github.com/be5invis/Iosevka)

I often choose SS08 variant because I also love PragmataPro too.

- Support Vietnamese
- Support bold, italic
- Support ligatures
- Has dotted zero
- Has display font

Font is narrow, can display much more on small screen. But too much
config/variant for ligatures scares me.

## [Recursive](https://github.com/arrowtype/recursive)

I often choose Casual variant.

- Support Vietnamese
- Support bold, italic
- Support ligatures
- Has dotted zero
- Has display font

Ligatures I prefer: `ss10`, `ss12`.

Looks good on my phone.

- [Designing Recursive](https://www.recursive.design/process/)

## [agave](https://github.com/blobject/agave)

- No Vietnamese
- Support bold
- No italic
- No ligatures
- Has dotted zero

Font is small, can display much more on small screen. I like its curved look.

## [Sudo](https://github.com/jenskutilek/sudo-font)

Small fonts, saving space.

- Support Vietnamese
- Support bold, italic
- No ligatures
- Has dotted zero
- Has display font

Unique to me. Strange `#`, looks same as `4` (I don't like it for now).

## [Fantasque Sans Mono](https://github.com/belluzj/fantasque-sans)

Comic vibe. Look smoothly and too much curve.

- No Vietnamese
- Support bold, italic
- Support ligatures

## [APL-385](https://apl385.com/fonts/index.htm) and [APL386](https://github.com/abrudz/APL386)

- No Vietnamese
- No bold, italic
- No ligatures (APL-385 not APL386)
- Has display font (APL333)

I love its wide look, also it's feel nostalgic.

## [IBM Plex](https://github.com/IBM/plex)

IBM branding font, good alternative for Inter, has both monospace and display
variant.

- Support Vietnamese
- Support bold, italic
- No ligatures
- Has dotted zero
- Has display font

Looks fancy. Strange `#`.

## [Hermit](https://github.com/pcaro90/hermit)

- No Vietnamese
- Support bold, italic
- No ligatures

Looks unique to me, with some sharp look.

## [Nerd Fonts](https://github.com/ryanoasis/nerd-fonts)

For fancy terminal, only need `NerdFontsSymbolsOnly`

## Murr fonts, but I don't use much now (some fonts I already try in the past)

- [Fira Code](https://github.com/tonsky/FiraCode): best ligatures.
- [Input](https://input.djr.com/)
- [Monoid](https://github.com/larsenwork/monoid)
- [mononoki](https://github.com/madmalik/mononoki): share same vibe with agave.
- [Ubuntu Monospace](https://design.ubuntu.com/font): nostalogic to me since
  first Linux distro I use is Ubuntu.
- [M+](https://github.com/coz-m/MPLUS_FONTS): Japanese aesthetic.
- [Martian Mono](https://github.com/evilmartians/mono): wide font with bold,
  strong look.
- [0xProto](https://github.com/0xType/0xProto): found it on Instagram.
- [Commit Mono](https://github.com/eigilnikolajsen/commit-mono): claim to be
  true netral font. Also I love the website.
- [Victor Mono](https://github.com/rubjo/victor-mono): love italic.
- [Maple Font](https://github.com/subframe7536/maple-font): fun shape.
- [Cascadia Code](https://github.com/microsoft/cascadia-code): Microsoft
  branding font.
- [Intel One Mono](https://github.com/intel/intel-one-mono): latest Intel
  branding font.
- [Monaspace](https://github.com/githubnext/monaspace): new GitHub fonts with
  Texture Healing.
- [iA-Fonts](https://github.com/iaolo/iA-Fonts): Notion mono font.

### Bitmap/Oldschool

- [Terminus](https://terminus-font.sourceforge.net/): super old, super legend
  font.
- [3270font](https://github.com/rbanffy/3270font): nostalogic.
- [Cozette](https://github.com/slavfox/Cozette): feel 8-bit vibe, mono to death.
  But sometimes it's hard to read. Bitmap fonts is hard to install too.
- [The Ultimate Oldschool PC Font Pack](https://int10h.org/oldschool-pc-fonts/)
  with
  [Flexi IBM VGA](https://int10h.org/blog/2020/12/more-font-updates-oldschool-pack-flexi-vga/):
  old school.
- [C64](https://style64.org/c64-truetype): Commodore 64 font.
- [Fixedsys Excelsior](https://github.com/kika/fixedsys): old DOS vibe.
- [Fairfax HD](http://www.kreativekorp.com/software/fonts/fairfaxhd/): bitmap
  vibe but support vector.

### Only display

- [Clear Sans](https://github.com/intel/clear-sans): used to be Intel branding
  font.
- [Atkinson Hyperlegible](https://brailleinstitute.org/freefont): for reading
  ebook.
- [Shantell Sans](https://github.com/arrowtype/shantell-sans): another Comic
  vibe.
  - [The Story of Shantell Sans](https://shantellsans.com/process)

**Costing money** fonts, but I like them too much, will probably buy it if I
have money:

- [PragmataPro](https://fsd.it/shop/fonts/pragmatapro/)
- [Berkeley Mono Typeface](https://berkeleygraphics.com/typefaces/berkeley-mono/)
- [MonoLisa](https://www.monolisa.dev/)

## Tools

- [FontForge](https://github.com/fontforge/fontforge)
- [Hyperglot](https://github.com/rosettatype/hyperglot)
